# Crossbow

"Crossbow" is a Special Virtual Object that allows a user to shoot a Virtual Object from its "shootingObjectSnapHitbox" hitbox. Once a Virtual Object is snapped to that hitbox, press on the "Use" interaction while the Crossbow is grabbed to shot the Virtual Object.\
\
An author can adjust the velocity of the shot by creating these customizable attribute within the Crossbow Virtual Object. The name of the attribute must exactly match.\
\
Customizable Attributes:\
xVelocity: float number, default (0)\
yVelocity: float number, default (25)\
zVelocity: float number , default (400)\ <br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.siminsights.com/virtual-entities-vx/special-virtual-objects/crossbow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
